import React from 'react'

import { AtGrid } from "taro-ui"
import { Image, View } from '@tarojs/components' 

import Taro from '@tarojs/taro'

import './index.scss'

import bg from '../../assets/authQuery/auth-bg.png'
import step from '../../assets/authQuery/three-step.png'

console.log(bg);


const gridList = new Array(5).fill(0)

const CateGrid: React.FC = () => {

    const goPage = (index: number): void => {
        Taro.navigateTo({
             url: `/pages/AuthOpra/index?type=${index}`
        });
    }

    return (
        <View className='CateGrid'>
            { 
                gridList.map((item, index) => (
                    <Image 
                      key={item} 
                      className='gridImg' 
                      src={require(`../../assets/authQuery/auth${index}.png`)}
                      onClick={() => goPage(index)}
                    />
                ))
            }
        </View>
    )
} 


const AuthQuery: React.FC = () => {
    return (
        <View className='AuthQuery'>
            <Image className='AuthQuery-img' src={bg} />
            <Image className='step'  src={step} mode='aspectFill' />
            <CateGrid />
        </View>
        // <image src='https://img12.360buyimg.com/jdphoto/s72x72_jfs/t6160/14/2008729947/2754/7d512a86/595c3aeeNa89ddf71.png' ></image>
    )
}

export default AuthQuery